# Parser

Learn more about this Action in [this article](/the-workspace/pipelines/actions/transformation/parser.md).

<details>

<summary>v1.2.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">04/30/2026</mark>

Minor bug fixes

</details>

<details>

<summary>v1.2.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">01/15/2025</mark>

User interface improved.

</details>

<details>

<summary>v1.1.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">08/08/2025</mark>

* Performance improved.
* Included the ability to use the `optional` operator in groups. Everything inside the group marked as optional could be included or excluded from the log, and it would be parsed correctly.

</details>

<details>

<summary>v1.0.2</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">08/01/2025</mark>

We've resolved some issues in XML parsers related to map-typed XPath fields.

</details>

<details>

<summary>v1.0.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">07/04/2025</mark>

Raw byte values for integer and float fields are no longer stored in order to avoid inconsistencies in downstream actions (e.g., Message Builder).

</details>

<details>

<summary>v1.0.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">05/23/2025</mark>

Support new subtypes in the options `fields` and `indices` of a `keyValueList`. Now, it supports lists, so that it is able to extract all the values of a key that is duplicated. For example:

```
key1=value1 key2=value key1=anotherValue1
```

</details>

<details>

<summary>v0.5.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">05/08/2025</mark>

* Added support for XML parsing.
* Key-value lists now detect single quotes.

</details>

<details>

<summary>v0.4.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">01/31/2025</mark>

* Eager value evaluation on JSON and CSV files.
* Removed characters unescaping except in JSON and CSV files.
* Allow long values for the option `kvSeparator` of `key-values`.
* Fixed key-value detection when a key-value separator appears in the value part.

</details>

<details>

<summary>v0.4.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">11/27/2024</mark>

* Added support for escape sequences in string and key-value fields.
* Support any character as a key-value pair separator.

</details>

<details>

<summary>v0.3.2</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">09/18/2024</mark>

Fixed CSV and key-value parser bug when parsing empty integer, float, or boolean fields.

</details>

<details>

<summary>v0.3.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">08/14/2024</mark>

Fixed parser in JSON empty string value.

</details>

<details>

<summary>v0.3.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">07/04/2024</mark>

Minor bug fixing.

</details>

<details>

<summary>v0.2.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">07/04/2024</mark>

JSON parser now parses strings with 2 backlashes in a row correctly.

</details>

<details>

<summary>v0.1.0</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">04/12/2024</mark>

Support PCL-grammar syntax with aliases and restricted field names.

</details>

<details>

<summary>v0.0.1</summary>

<mark style="background-color:purple;">**Released on**</mark> <mark style="background-color:purple;"></mark><mark style="background-color:purple;">07/05/2023</mark>

Initial version

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onum.com/actions/parser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
